Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.vmpipe
Class VmPipeConnector

    java.lang.Object
      org.apache.mina.common.support.BaseIoService
          org.apache.mina.common.support.BaseIoConnector
              org.apache.mina.transport.vmpipe.VmPipeConnector

All Implemented Interfaces:
  IoConnector, IoService

    public class VmPipeConnector

extends org.apache.mina.common.support.BaseIoConnector

Connects to `IoHandler`s which is bound on the specified `VmPipeAddress`.

Version:
  $Rev: 587373 $, $Date: 2007-10-23 11:54:05 +0900 (Tue, 23 Oct 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`VmPipeConnector()` Creates a new instance.

Method Summary
`ConnectFuture` | `connect(SocketAddress address, IoHandler handler, IoServiceConfig config)` Connects to the specified `address`.
`ConnectFuture` | `connect(SocketAddress address, SocketAddress localAddress, IoHandler handler, IoServiceConfig config)` Connects to the specified `address`.
`IoServiceConfig` | `getDefaultConfig()` Returns the default configuration which is used when you didn't specify any configuration.

Methods inherited from class org.apache.mina.common.support.BaseIoConnector
`connect, connect`

Methods inherited from class org.apache.mina.common.support.BaseIoService
`addListener, getFilterChain, getFilterChainBuilder, getListeners, getManagedServiceAddresses, getManagedSessions, isManaged, removeListener, setFilterChainBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mina.common.IoService
`addListener, getFilterChain, getFilterChainBuilder, getManagedServiceAddresses, getManagedSessions, isManaged, removeListener, setFilterChainBuilder`

Constructor Detail

### VmPipeConnector

    public VmPipeConnector()

  Creates a new instance.

Method Detail

### connect

    public ConnectFuture connect(SocketAddress address,
                                 IoHandler handler,
                                 IoServiceConfig config)

  Description copied from interface: `IoConnector`
  Connects to the specified `address`. If communication starts successfully, events are fired to the specified `handler`.

    `config` - the configuration
  Returns:
    `ConnectFuture` that will tell the result of the connection attempt

### connect

    public ConnectFuture connect(SocketAddress address,
                                 SocketAddress localAddress,
                                 IoHandler handler,
                                 IoServiceConfig config)

  Description copied from interface: `IoConnector`
  Connects to the specified `address`. If communication starts successfully, events are fired to the specified `handler`.

    `config` - the configuration
  Returns:
    `ConnectFuture` that will tell the result of the connection attempt

### getDefaultConfig

    public IoServiceConfig getDefaultConfig()

  Description copied from interface: `IoService`
  Returns the default configuration which is used when you didn't specify any configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.